package com.hai.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
@Data
public class CommonSysConfig {

    // 嗨森逛域名
    private String hsgDomainName;

    // 加油站默认图片
    private String gasDefaultOilStationImg;

    // 重庆中石油
    private String ChongQingCnpcUrl;             // 请求地址
    private String ChongQingCnpcMerNo;           // 商户号
    private String ChongQingCnpcMerKey;          // 商户秘钥
    private String ChongQingCnpcCouponSignKey;   // 电子券签名秘钥

    private String tuanYouUrl;
    private String tuanYouAppKey;
    private String tuanYouAppSecret;
    private String tuanYouDieselAccount;   // 柴油账号
    private String tuanYouGasolineAccount; // 汽油账号

    // 壳牌公共参数
    private String shellGroupUrl;
    private String shellGroupPartnerId;
    private String shellPlatMerchantId;
    private String shellPlatMerchantKey;

    // 金猪参数
    private String jzAppId;
    private String jzPrivateKeyUrl;
    private String jzPublicKeyUrl;

    // paylo系统参数
    private String payloPartnerId;
    private String payloShellPlatMerchantKey;

    private String qinzhuUrl;
    private String qinzhuUrlToken;
    private String qinzhuHtmlUrl;
    private String qianzhuH5url;
    private String qinzhuMobileUrl; // 话费充值地址
    private String qinzhuPlatformId;
    private String qinzhuSecret;
    private String qianzhuOrderNotify;
    private String thirdAppKey;
    private String thirdAppSecret;
    private String thirdPostUrl;

    private String huiliantongUrl;
    private String huiliantongAppNo;
    private String huiliantongAppkey;
    private String huiliantongAppsecret;
    private String huiliantongDistributorId;
    private String huiliantongSinopecUrl;

    private String HuiLianTongUnionCardUrl;
    private String HuiLianTongUnionCardAccessCode;
    private String HuiLianTongUnionCardSignCode;

    private String HltMembershipLevelAccessCode;
    private String HltMembershipLevelSignCode;

    private String unionPayUrl;
    private String unionPayChannelid;
    private String unionPayMerid;
    private String unionPayTermid;
    private String unionPaySignKey;
    private String unionPayNotifyUrl;
    private String unionPayTelNotifyUrl;


    private String unionStagingPayUrl;
    private String unionStagingPayOrgId;
    private String unionStagingPayOrgMerCode;
    private String unionStagingPayOrgTermNo;
    private String unionStagingPayNotifyUrl;

    private String wx_cert;

    private String telApiKey;
    private String telApiSecret;
    private String telMemberId;
    private String telUrl;
    private String czOrderNotify;

    private String lyApiKey;
    private String LyNotifyUrl;
    private String lyMemberId;
    private String LyPostUrl;

    private String JjNotifyUrl;
    private String JjAppKey;
    private String JjUrl;
    private String JjAppSecret;

    private String CyApiKey;
    private String CyAppSecret;
    private String CyPostUrl;

    private String unionAppId;
    private String unionSecret;
    private String unionRsaKey;

    private String fileUrl;
    private String wxAppId;
    private String wxAppSecret;

}
