package com.hai.dao;

import com.hai.entity.BsProductPlatform;
import com.hai.entity.BsProductPlatformExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsProductPlatformMapper extends BsProductPlatformMapperExt {
    @SelectProvider(type=BsProductPlatformSqlProvider.class, method="countByExample")
    long countByExample(BsProductPlatformExample example);

    @DeleteProvider(type=BsProductPlatformSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsProductPlatformExample example);

    @Delete({
        "delete from bs_product_platform",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_product_platform (product_type, source_id, ",
        "platform_id, platform_name, ",
        "operator_id, operator_name, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{productType,jdbcType=INTEGER}, #{sourceId,jdbcType=BIGINT}, ",
        "#{platformId,jdbcType=INTEGER}, #{platformName,jdbcType=VARCHAR}, ",
        "#{operatorId,jdbcType=BIGINT}, #{operatorName,jdbcType=VARCHAR}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsProductPlatform record);

    @InsertProvider(type=BsProductPlatformSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsProductPlatform record);

    @SelectProvider(type=BsProductPlatformSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="product_type", property="productType", jdbcType=JdbcType.INTEGER),
        @Result(column="source_id", property="sourceId", jdbcType=JdbcType.BIGINT),
        @Result(column="platform_id", property="platformId", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_name", property="platformName", jdbcType=JdbcType.VARCHAR),
        @Result(column="operator_id", property="operatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="operator_name", property="operatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsProductPlatform> selectByExample(BsProductPlatformExample example);

    @Select({
        "select",
        "id, product_type, source_id, platform_id, platform_name, operator_id, operator_name, ",
        "create_time, update_time, ext_1, ext_2, ext_3",
        "from bs_product_platform",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="product_type", property="productType", jdbcType=JdbcType.INTEGER),
        @Result(column="source_id", property="sourceId", jdbcType=JdbcType.BIGINT),
        @Result(column="platform_id", property="platformId", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_name", property="platformName", jdbcType=JdbcType.VARCHAR),
        @Result(column="operator_id", property="operatorId", jdbcType=JdbcType.BIGINT),
        @Result(column="operator_name", property="operatorName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsProductPlatform selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsProductPlatformSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsProductPlatform record, @Param("example") BsProductPlatformExample example);

    @UpdateProvider(type=BsProductPlatformSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsProductPlatform record, @Param("example") BsProductPlatformExample example);

    @UpdateProvider(type=BsProductPlatformSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsProductPlatform record);

    @Update({
        "update bs_product_platform",
        "set product_type = #{productType,jdbcType=INTEGER},",
          "source_id = #{sourceId,jdbcType=BIGINT},",
          "platform_id = #{platformId,jdbcType=INTEGER},",
          "platform_name = #{platformName,jdbcType=VARCHAR},",
          "operator_id = #{operatorId,jdbcType=BIGINT},",
          "operator_name = #{operatorName,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsProductPlatform record);
}