package com.hai.dao;

import com.hai.entity.HighGasOilPriceTask;
import com.hai.entity.HighGasOilPriceTaskExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighGasOilPriceTaskMapper extends HighGasOilPriceTaskMapperExt {
    @SelectProvider(type=HighGasOilPriceTaskSqlProvider.class, method="countByExample")
    long countByExample(HighGasOilPriceTaskExample example);

    @DeleteProvider(type=HighGasOilPriceTaskSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighGasOilPriceTaskExample example);

    @Delete({
        "delete from high_gas_oil_price_task",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_gas_oil_price_task (region_id, region_name, ",
        "mer_store_key, mer_store_id, ",
        "mer_store_name, mer_store_address, ",
        "oil_type, oil_type_name, ",
        "oil_no, oil_no_name, ",
        "price_type, price, ",
        "execution_type, start_time, ",
        "`status`, create_time, ",
        "update_time, op_user_id, ",
        "op_user_name, ext_1, ",
        "ext_2, ext_3)",
        "values (#{regionId,jdbcType=BIGINT}, #{regionName,jdbcType=VARCHAR}, ",
        "#{merStoreKey,jdbcType=VARCHAR}, #{merStoreId,jdbcType=BIGINT}, ",
        "#{merStoreName,jdbcType=VARCHAR}, #{merStoreAddress,jdbcType=VARCHAR}, ",
        "#{oilType,jdbcType=INTEGER}, #{oilTypeName,jdbcType=VARCHAR}, ",
        "#{oilNo,jdbcType=VARCHAR}, #{oilNoName,jdbcType=VARCHAR}, ",
        "#{priceType,jdbcType=INTEGER}, #{price,jdbcType=DECIMAL}, ",
        "#{executionType,jdbcType=INTEGER}, #{startTime,jdbcType=TIMESTAMP}, ",
        "#{status,jdbcType=INTEGER}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{opUserId,jdbcType=BIGINT}, ",
        "#{opUserName,jdbcType=VARCHAR}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighGasOilPriceTask record);

    @InsertProvider(type=HighGasOilPriceTaskSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighGasOilPriceTask record);

    @SelectProvider(type=HighGasOilPriceTaskSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="region_id", property="regionId", jdbcType=JdbcType.BIGINT),
        @Result(column="region_name", property="regionName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_key", property="merStoreKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_id", property="merStoreId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_store_name", property="merStoreName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_address", property="merStoreAddress", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="price_type", property="priceType", jdbcType=JdbcType.INTEGER),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="execution_type", property="executionType", jdbcType=JdbcType.INTEGER),
        @Result(column="start_time", property="startTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighGasOilPriceTask> selectByExample(HighGasOilPriceTaskExample example);

    @Select({
        "select",
        "id, region_id, region_name, mer_store_key, mer_store_id, mer_store_name, mer_store_address, ",
        "oil_type, oil_type_name, oil_no, oil_no_name, price_type, price, execution_type, ",
        "start_time, `status`, create_time, update_time, op_user_id, op_user_name, ext_1, ",
        "ext_2, ext_3",
        "from high_gas_oil_price_task",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="region_id", property="regionId", jdbcType=JdbcType.BIGINT),
        @Result(column="region_name", property="regionName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_key", property="merStoreKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_id", property="merStoreId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_store_name", property="merStoreName", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_store_address", property="merStoreAddress", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_type", property="oilType", jdbcType=JdbcType.INTEGER),
        @Result(column="oil_type_name", property="oilTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no", property="oilNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="oil_no_name", property="oilNoName", jdbcType=JdbcType.VARCHAR),
        @Result(column="price_type", property="priceType", jdbcType=JdbcType.INTEGER),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="execution_type", property="executionType", jdbcType=JdbcType.INTEGER),
        @Result(column="start_time", property="startTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighGasOilPriceTask selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighGasOilPriceTaskSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighGasOilPriceTask record, @Param("example") HighGasOilPriceTaskExample example);

    @UpdateProvider(type=HighGasOilPriceTaskSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighGasOilPriceTask record, @Param("example") HighGasOilPriceTaskExample example);

    @UpdateProvider(type=HighGasOilPriceTaskSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighGasOilPriceTask record);

    @Update({
        "update high_gas_oil_price_task",
        "set region_id = #{regionId,jdbcType=BIGINT},",
          "region_name = #{regionName,jdbcType=VARCHAR},",
          "mer_store_key = #{merStoreKey,jdbcType=VARCHAR},",
          "mer_store_id = #{merStoreId,jdbcType=BIGINT},",
          "mer_store_name = #{merStoreName,jdbcType=VARCHAR},",
          "mer_store_address = #{merStoreAddress,jdbcType=VARCHAR},",
          "oil_type = #{oilType,jdbcType=INTEGER},",
          "oil_type_name = #{oilTypeName,jdbcType=VARCHAR},",
          "oil_no = #{oilNo,jdbcType=VARCHAR},",
          "oil_no_name = #{oilNoName,jdbcType=VARCHAR},",
          "price_type = #{priceType,jdbcType=INTEGER},",
          "price = #{price,jdbcType=DECIMAL},",
          "execution_type = #{executionType,jdbcType=INTEGER},",
          "start_time = #{startTime,jdbcType=TIMESTAMP},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "op_user_id = #{opUserId,jdbcType=BIGINT},",
          "op_user_name = #{opUserName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighGasOilPriceTask record);
}