package com.hai.service;

import com.hai.entity.HighRefundAudit;
import com.hai.entity.OutRechargeOrder;
import com.hai.model.UserInfoModel;

import java.util.List;
import java.util.Map;

public interface HighRefundAuditService {

    /**
     * @Author Sum1Dream
     * @Description // 查询充值订单
     * @Date 15:18 2021/6/11
     * @Param [map]
     * @return java.util.List<com.hai.entity.HighRefundAudit>
     **/
    List<HighRefundAudit> getListRefundAudit(Map<String , String> map);


    /**
     * @Author Sum1Dream
     * @Description // 根据订单ID查询订单
     * @Date 15:19 2021/6/11
     * @Param [orderId]
     * @return com.hai.entity.HighRefundAudit
     **/
     HighRefundAudit getRefundAuditById(Integer id);

    /**
     * @Author Sum1Dream
     * @Description // 根据订单号查询订单
     * @Date 15:20 2021/6/11
     * @Param [orderNo]
     * @return com.hai.entity.OutRechargeOrder
     **/
    HighRefundAudit findByOrderNo(String orderNo);

    /***
     * @Author Sum1Dream
     * @Description // 新增
     * @Date 15:25 2021/6/11
     * @Param [HighRefundAudit]
     * @return void
     **/
    void insertRefundAudit(HighRefundAudit highRefundAudit , UserInfoModel userInfoModel);

    /***
     * @Author Sum1Dream
     * @Description // 修改
     * @Date 15:26 2021/6/11
     * @Param [HighRefundAudit]
     * @return void
     **/
    void updateRefundAudit(HighRefundAudit highRefundAudit);

}
